org.keycloak.saml.processing.core.saml.v2.writers

## Class BaseWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

- Direct Known Subclasses:
    SAMLAssertionWriter, SAMLMetadataWriter, SAMLRequestWriter, SAMLResponseWriter

      public class BaseWriter
      extends Object

  Base Class for the Stax writers for SAML
  Since:
    Nov 2, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ASSERTION_PREFIX`
    `protected static PicketLinkLogger` | `logger`
    `protected static String` | `PROTOCOL_PREFIX`
    `protected XMLStreamWriter` | `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(AttributeType attributeType)` Write an `AttributeType` to stream
    `void` | `write(ExtensionsType extensions)`
    `void` | `write(NameIDType nameIDType, QName tag)` Write `NameIDType` to stream without writing a namespace
    `void` | `write(NameIDType nameIDType, QName tag, boolean writeNamespace)` Write `NameIDType` to stream
    `void` | `write(SubjectType subject)` write an `SubjectType` to stream
    `void` | `writeAttributeTypeWithoutRootTag(AttributeType attributeType)`
    `void` | `writeDateAttributeValue(XMLGregorianCalendar attributeValue)`
    `void` | `writeLocalizedNameType(LocalizedNameType localizedNameType, QName startElement)`
    `void` | `writeNameIDTypeAttributeValue(NameIDType attributeValue)`
    `void` | `writeStringAttributeValue(String attributeValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final PicketLinkLogger logger

    - #### PROTOCOL_PREFIX

          protected static String PROTOCOL_PREFIX

    - #### ASSERTION_PREFIX

          protected static String ASSERTION_PREFIX

    - #### writer

          protected XMLStreamWriter writer

  - ### Constructor Detail

    - #### BaseWriter

          public BaseWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### write

          public void write(NameIDType nameIDType,
                            QName tag,
                            boolean writeNamespace)
                     throws ProcessingException

      Write `NameIDType` to stream
      Parameters:
        `nameIDType` -
        `tag` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(NameIDType nameIDType,
                            QName tag)
                     throws ProcessingException

      Write `NameIDType` to stream without writing a namespace
      Throws:
        `ProcessingException`

    - #### write

          public void write(AttributeType attributeType)
                     throws ProcessingException

      Write an `AttributeType` to stream
      Parameters:
        `attributeType` -
        `out` -
      Throws:
        `ProcessingException`

    - #### writeAttributeTypeWithoutRootTag

          public void writeAttributeTypeWithoutRootTag(AttributeType attributeType)
                                                throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeNameIDTypeAttributeValue

          public void writeNameIDTypeAttributeValue(NameIDType attributeValue)
                                             throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeStringAttributeValue

          public void writeStringAttributeValue(String attributeValue)
                                         throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeDateAttributeValue

          public void writeDateAttributeValue(XMLGregorianCalendar attributeValue)
                                       throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeLocalizedNameType

          public void writeLocalizedNameType(LocalizedNameType localizedNameType,
                                             QName startElement)
                                      throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SubjectType subject)
                     throws ProcessingException

      write an `SubjectType` to stream
      Parameters:
        `subject` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(ExtensionsType extensions)
                     throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.